import { AppDevSdk, Reporter } from 'qcloud-iotexplorer-appdev-sdk';
import { WifiConfOption } from 'qcloud-iotexplorer-appdev-plugin-wificonf-core';
import { DeviceAdapter } from 'qcloud-iotexplorer-bluetooth-adapter';
import { WifiConfType } from 'iotexplorer-ui-dev-config';
import type { FlowLogger } from 'qcloud-iotexplorer-common-libs';
export interface BleComboTaskOptions<T extends DeviceAdapter> extends WifiConfOption {
    deviceAdapter: T;
    reporter: Reporter;
    flowLogger: FlowLogger;
}
export declare abstract class BleComboTask<T extends DeviceAdapter> extends AppDevSdk.utils.EventEmitter {
    sequence: number;
    sendDataInterval: number;
    ssid: string;
    password: string;
    token: string;
    deviceAdapter: T;
    logger: Reporter;
    processing: boolean;
    wifiConfType: WifiConfType;
    protected flowLogger: FlowLogger;
    constructor({ targetWifiInfo, wifiConfToken, deviceAdapter, reporter, wifiConfType, flowLogger, }: BleComboTaskOptions<T>);
    start(): Promise<never>;
    interrupt(): void;
    abstract setWiFiMode(): any;
    abstract sendWiFiInfo(): any;
    abstract connectWifi(): any;
    abstract sendToken(): any;
}
